Sets the initial step-size

- « fann_set_rprop_delta_min

- fann_set_rprop_increase_factor »

- PHP Manual
- Fann Functions
- Sets the initial step-size

# fann_set_rprop_delta_zero

(PECL fann >= 1.0.0)

fann_set_rprop_delta_zero — Sets the initial step-size

### Description

fann_set_rprop_delta_zero(resource `$ann`, float `$rprop_delta_zero`): bool

The initial step-size is a positive number determining the initial step size.

### Parameters

`ann`

  Neural network resource.

`rprop_delta_zero`

  The initial step-size.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_get_rprop_delta_zero() - Returns the initial step-size
- fann_get_rprop_delta_min() - Returns the minimum step-size
- fann_get_rprop_delta_max() - Returns the maximum step-size